# NodepoolLanAdd

Adds or updates a LAN within a Nodepool.

```
knife ionoscloud nodepool lan add (options)
```

## Available options:

### Required options:

* cluster\_id
* nodepool\_id
* lan\_id

```
    ionoscloud_url: --url URL
        the Ionoscloud API URL

    extra_config_file: --extra-config EXTRA_CONFIG_FILE_PATH, -e EXTRA_CONFIG_FILE_PATH
        path to the additional config file

    cluster_id: --cluster-id CLUSTER_ID, -C CLUSTER_ID
        iD of the Kubernetes cluster (required)

    nodepool_id: --nodepool NODEPOOL_ID, -N NODEPOOL_ID
        the ID of the K8s Nodepool (required)

    lan_id: --lan LAN_ID, -L LAN_ID
        the ID of the LAN (required)

    no_dhcp: --nodhcp
        indicates if the Kubernetes Node Pool LAN will reserve an IP using DHCP

    routes: --routes NETWORK,GATEWAY_IP [NETWORK,GATEWAY_IP]
        an array of additional LANs attached to worker nodes

    ionoscloud_username: --username USERNAME, -u USERNAME
        your Ionoscloud username

    ionoscloud_password: --password PASSWORD, -p PASSWORD
        your Ionoscloud password

    ionoscloud_token: --token PASSWORD
        your Ionoscloud access token
```

## Example

```
knife ionoscloud nodepool lan add --url URL --extra-config EXTRA_CONFIG_FILE_PATH --cluster-id CLUSTER_ID --nodepool NODEPOOL_ID --lan LAN_ID --nodhcp --routes NETWORK,GATEWAY_IP [NETWORK,GATEWAY_IP] --username USERNAME --password PASSWORD --token PASSWORD
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/knife-plugin/subcommands/managed-kubernetes/nodepool_lan_add.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
